Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.702927
Category:Debian Local Security Checks
Title:Debian Security Advisory DSA 2927-1 (libxfont - security update)
Summary:Ilja van Sprundel of IOActive discovered several security issues in the;X.Org libXfont library, which may allow a local, authenticated user to;attempt to raise privileges, or a remote attacker who can control the;font server to attempt to execute code with the privileges of the X;server.;;CVE-2014-0209;Integer overflow of allocations in font metadata file parsing could;allow a local user who is already authenticated to the X server to;overwrite other memory in the heap.;;CVE-2014-0210;libxfont does not validate length fields when parsing xfs protocol;replies allowing to write past the bounds of allocated memory when;storing the returned data from the font server.;;CVE-2014-0211;Integer overflows calculating memory needs for xfs replies could;result in allocating too little memory and then writing the returned;data from the font server past the end of the allocated buffer.
Description:Summary:
Ilja van Sprundel of IOActive discovered several security issues in the
X.Org libXfont library, which may allow a local, authenticated user to
attempt to raise privileges, or a remote attacker who can control the
font server to attempt to execute code with the privileges of the X
server.

CVE-2014-0209
Integer overflow of allocations in font metadata file parsing could
allow a local user who is already authenticated to the X server to
overwrite other memory in the heap.

CVE-2014-0210
libxfont does not validate length fields when parsing xfs protocol
replies allowing to write past the bounds of allocated memory when
storing the returned data from the font server.

CVE-2014-0211
Integer overflows calculating memory needs for xfs replies could
result in allocating too little memory and then writing the returned
data from the font server past the end of the allocated buffer.

Affected Software/OS:
libxfont on Debian Linux

Solution:
For the oldstable distribution (squeeze), these problems have been fixed in
version 1:1.4.1-5.

For the stable distribution (wheezy), these problems have been fixed in
version 1:1.4.5-4.

For the unstable distribution (sid), these problems have been fixed in
version 1:1.4.7-2.

We recommend that you upgrade your libxfont packages.

CVSS Score:
7.5

CVSS Vector:
AV:N/AC:L/Au:N/C:P/I:P/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2014-0209
BugTraq ID: 67382
http://www.securityfocus.com/bid/67382
Bugtraq: 20141205 NEW: VMSA-2014-0012 - VMware vSphere product updates address security vulnerabilities (Google Search)
http://www.securityfocus.com/archive/1/534161/100/0/threaded
Debian Security Information: DSA-2927 (Google Search)
http://www.debian.org/security/2014/dsa-2927
http://seclists.org/fulldisclosure/2014/Dec/23
http://www.mandriva.com/security/advisories?name=MDVSA-2015:145
http://lists.x.org/archives/xorg-announce/2014-May/002431.html
RedHat Security Advisories: RHSA-2014:1893
http://rhn.redhat.com/errata/RHSA-2014-1893.html
http://secunia.com/advisories/59154
SuSE Security Announcement: openSUSE-SU-2014:0711 (Google Search)
http://lists.opensuse.org/opensuse-updates/2014-05/msg00073.html
http://www.ubuntu.com/usn/USN-2211-1
Common Vulnerability Exposure (CVE) ID: CVE-2014-0210
Common Vulnerability Exposure (CVE) ID: CVE-2014-0211
CopyrightCopyright (c) 2014 Greenbone Networks GmbH http://greenbone.net

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2022 E-Soft Inc. All rights reserved.